Austin Group Defect Tracker

Aardvark Mark III


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0000873 [1003.1(2013)/Issue7+TC1] System Interfaces Editorial Omission 2014-09-04 21:06 2014-10-09 16:11
Reporter safinaskar View Status public  
Assigned To
Priority normal Resolution Accepted As Marked  
Status Resolved  
Name Askar Safin
Organization
User Reference
Section link
Page Number 1228
Line Number 40780
Interp Status ---
Final Accepted Text see Note: 0002416
Summary 0000873: "link, linkat - link one file to another file relative to two directory file descriptors"
Description Onlinepubs page for "link" and "linkat" says:
> link, linkat - link one file to another file relative to two directory file descriptors
But "link" doesn't get file descriptors, so the page should say:
> link, linkat - link one file to another file
Or:
> link - link one file to another file
> linkat - link one file to another file relative to two directory file descriptors
Or something like that.
Also, when I type "link" to the search I see the same confusing sentence.
Also, the same applies to other pages on online pubs. Search the "at -" word, you will see:

access, faccessat - determine accessibility of a file relative to directory file descriptor
chmod, fchmodat - change mode of a file relative to directory file descriptor
chown, fchownat - change owner and group of a file relative to directory file descriptor
...etc...

This pages probably have the same issues
Desired Action Please, fix
Tags tc2-2008
Attached Files

- Relationships

-  Notes
(0002374)
ajosey (manager)
2014-09-05 11:03

I have moved this bug from onlinepubs to Issue7+TC1 as the issue relates to the NAME line for the cited interfaces within the specification and not just the html representation.
(0002416)
eblake (manager)
2014-10-09 16:10

For the following lines:
    page 565 line 19569 access
    page 660 line 22337 chmod
    page 664 line 22494 chown
    page 1228 line 40780 link
    page 1301 line 43016 mkdir
    page 1307 line 43219 mkfifo
    page 1391 line 49540 open
    page 1797 line 57881 rename
    page 2073 line 66122 symlink
    page 2174 line 69164 unlink
    page 2187 line 69579 utimensat/utimes

remove the phrases:
    "relative to directory file descriptor"
    "relative to two directory file descriptors"

- Issue History
Date Modified Username Field Change
2014-09-04 21:06 safinaskar New Issue
2014-09-04 21:06 safinaskar Name => Askar Safin
2014-09-04 21:06 safinaskar URL => http://pubs.opengroup.org/onlinepubs/9699919799/functions/link.html [^]
2014-09-04 21:06 safinaskar Section => link
2014-09-05 11:00 agadmin Project Online Pubs => 1003.1(2013)/Issue7+TC1
2014-09-05 11:03 ajosey Note Added: 0002374
2014-10-09 16:01 rhansen Page Number => 1228
2014-10-09 16:01 rhansen Line Number => 40780
2014-10-09 16:01 rhansen Interp Status => ---
2014-10-09 16:10 eblake Note Added: 0002416
2014-10-09 16:11 eblake Final Accepted Text => see Note: 0002416
2014-10-09 16:11 eblake Status New => Resolved
2014-10-09 16:11 eblake Resolution Open => Accepted As Marked
2014-10-09 16:11 eblake Tag Attached: tc2-2008


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker